<?php
/**
* @author: Egor Smolyakov, 2012.
* @e-mail: mr.stelhammer@gmail.com
*/
defined('ROOT') or define('ROOT', str_replace('\\', '/', realpath(dirname (__FILE__))));
require_once ROOT . '/system/init.php'; // инициализация ядра

page_head('Новости'); // название страницы
include_once ROOT . '/system/inc/classes/Navigator.class.php'; // класс навигации
$nav = new Navigator(HOST.'/news/?',$set['count_pages']);
 $querypost = DB :: run() -> query("SELECT * FROM `news` ORDER BY `id` DESC LIMIT ".$nav->start().", ".$nav->pnumber.";");
 $total = DB :: run() -> querySingle("SELECT count(*) FROM `news`;");
 if ($total > 0) {
 while ($news = $querypost -> fetch()) {

 echo '<div class="title"><b>'.$news['title'].'</b> ('.view_date($news['time']).')<br />';
echo ''.nl2br($news['text_news']).'<br /></div>';
 }
} else {
echo '<div class="menu">Новостей нет.</div>';
}
echo $nav->navi($total,0);

 echo '<div class="menu"><a href="'.HOST.'/">На главную</a></div>';
  
page_foot(); // низ сайта
?>